#! /bin/csh -f
#===============================================================================
# CVS $Id: esmf.setup.csh,v 1.6 2002/04/30 22:53:05 tcraig Exp $
# CVS $Source: /fs/cgd/csm/models/CVS.REPOS/scripts/test.a1/esmf.setup.csh,v $
# CVS $Name: ccsm2_0_beta46 $
#===============================================================================
# Purpose:
#     (a) Build esmf library
#===============================================================================

# Addition platforms
#if ($OS == 'IRIX')    setenv ESMF_ARCH IRIX
#if ($OS == 'Linux')   setenv ESMF_ARCH linux
#if ($OS == 'SunOs')   setenv ESMF_ARCH solaris

# Map the CCSM architecture naming convention to the ESMF convention

if ($OS == 'AIX')     setenv ESMF_ARCH rs6000_sp
if ($OS == 'OSF1')    setenv ESMF_ARCH alpha
if ($OS == 'IRIX64')  setenv ESMF_ARCH IRIX64

setenv ESMF_DIR $CSMUTL/esmf                   # ESMF framework directory

if !(-d $ESMF_DIR) mkdir -p $ESMF_DIR
cd $ESMF_DIR
echo cd $ESMF_DIR

#setenv MF_DIR  $ESMF_DIR
#setenv MF_ARCH $ESMF_ARCH
#echo setenv MF_DIR  $ESMF_DIR
#echo setenv MF_ARCH $ESMF_ARCH

if ($BLDTYPE == 'true') then
  gmake BOPT=O ESMF_BUILD=${EXEROOT}/esmf || exit 1

# Now install the lib and modfiles

  echo gmake BOPT=O ESMF_BUILD=${EXEROOT}/esmf ESMF_LIB_INSTALL=${LIBROOT} ESMF_MOD_INSTALL=${INCROOT} install || exit 1
  gmake BOPT=O ESMF_BUILD=${EXEROOT}/esmf ESMF_LIB_INSTALL=${LIBROOT} ESMF_MOD_INSTALL=${INCROOT} install || exit 1
else
  echo "BLDTYPE = $BLDTYPE"
endif

exit 0


